import{ world } from "@minecraft/server";

const door_list = [ 
	"kd:acacia_chiseled_door_item", 
	"kd:bamboo_chiseled_door_item", 
	"kd:birch_chiseled_door_item", 
	"kd:crimson_chiseled_door_item", 
	"kd:dark_oak_chiseled_door_item", 
	"kd:jungle_chiseled_door_item", 
	"kd:mangrove_chiseled_door_item", 
	"kd:oak_chiseled_door_item", 
	"kd:quartz_chiseled_door_item", 
	"kd:quartz_door_item", 
	"kd:spruce_chiseled_door_item", 
	"kd:stone_chiseled_door_item", 
	"kd:stone_door_item", 
	"kd:warped_chiseled_door_item", 
	"kd:door_template_item"
]

world.events.beforeItemUseOn.subscribe(s => {
	if(door_list.includes(s.item.typeId) && s.blockFace == "up"){
		let block_scan = s.blockLocation;
		block_scan.y += 2;
		s.cancel = s.source.dimension.getBlock(block_scan).typeId != "minecraft:air";
	}
});